/* tslint:disable */
/* eslint-disable */
/**
 * FastAPI
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 0.1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */



/**
 * RasterParameters defines the properties of an observing pattern that uses a raster pattern centred on a reference position.
 * @export
 * @interface RasterParameters
 */
export interface RasterParameters {
    /**
     * 
     * @type {string}
     * @memberof RasterParameters
     */
    'kind'?: RasterParametersKindEnum;
    /**
     * 
     * @type {number}
     * @memberof RasterParameters
     */
    'row_length_arcsec'?: number;
    /**
     * 
     * @type {number}
     * @memberof RasterParameters
     */
    'row_offset_arcsec'?: number;
    /**
     * 
     * @type {number}
     * @memberof RasterParameters
     */
    'n_rows'?: number;
    /**
     * 
     * @type {number}
     * @memberof RasterParameters
     */
    'pa'?: number;
    /**
     * 
     * @type {boolean}
     * @memberof RasterParameters
     */
    'unidirectional'?: boolean;
}

export const RasterParametersKindEnum = {
    RasterParameters: 'RasterParameters'
} as const;

export type RasterParametersKindEnum = typeof RasterParametersKindEnum[keyof typeof RasterParametersKindEnum];


